Loading...
Searching...
No Matches
LfnPfn Class Reference
Collaboration diagram for LfnPfn:

## Public Member Functions

| LfnPfn (const char *lfn, int &rc)
| ~LfnPfn ()

## Public Attributes

const char * | Lfn
char | Pfn [MAXPATHLEN+8]

## Detailed Description

Definition at line 62 of file XrdCksManOss.cc.

## Constructor & Destructor Documentation

## LfnPfn()

LfnPfn::LfnPfn | ( | const char * | lfn,
|  | int & | rc )

inline

Definition at line 67 of file XrdCksManOss.cc.

: Lfn(lfn)
{rc = ossP->Lfn2Pfn(lfn, Pfn, MAXPATHLEN);
if (rc > 0) rc = -rc;
}
LfnPfn::Lfn
const char * Lfn
Definition XrdCksManOss.cc:64
LfnPfn::Pfn
char Pfn[MAXPATHLEN+8]
Definition XrdCksManOss.cc:65
XrdOss::Lfn2Pfn
virtual int Lfn2Pfn(const char *Path, char *buff, int blen)
Definition XrdOss.hh:873
XrdOfsPrepGPIReal::ossP
XrdOss * ossP
Definition XrdOfsPrepGPI.cc:57

References Lfn, XrdOss::Lfn2Pfn(), and Pfn.

Here is the call graph for this function:

## ~LfnPfn()

LfnPfn::~LfnPfn | ( |  | ) |

inline

Definition at line 71 of file XrdCksManOss.cc.

{}

## Member Data Documentation

## Lfn

const char* LfnPfn::Lfn

Definition at line 64 of file XrdCksManOss.cc.

Referenced by LfnPfn().

## Pfn

char LfnPfn::Pfn[MAXPATHLEN+8]

Definition at line 65 of file XrdCksManOss.cc.

Referenced by LfnPfn(), XrdCksManOss::Calc(), XrdCksManOss::Del(), XrdCksManOss::Get(), XrdCksManOss::List(), and XrdCksManOss::Set().

The documentation for this class was generated from the following file:

- XrdCksManOss.cc